import { SearchDocument } from '../../composables';
type __VLS_Props = {
    documents?: SearchDocument[];
    defaultIndex?: number;
    omitHref?: boolean;
    orientation?: 'horizontal' | 'vertical';
};
declare const __VLS_export: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    click: (document: SearchDocument) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onClick?: ((document: SearchDocument) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
